> ## Documentation Index
> Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update approved email domains

> Updates the list of approved email domains for a given account.



## OpenAPI

````yaml /autogenerated/openapi/cis.openapi.json put /accounts/{accountId}/email-domains
openapi: 3.1.0
info:
  title: CIS API
  version: 2.0.0
  description: Version 2
  license:
    name: UNLICENSED
    url: https://docs.equalsmoney.com
servers:
  - url: https://api.equalsmoney.com/v2
    description: Production
  - url: https://api-sandbox.equalsmoney.com/v2
    description: Sandbox
security: []
paths:
  /accounts/{accountId}/email-domains:
    put:
      tags:
        - Email domains
      summary: Update approved email domains
      description: Updates the list of approved email domains for a given account.
      operationId: updateAccountEmailDomains
      parameters:
        - name: accountId
          in: path
          required: true
          schema:
            type:
              - string
            description: The ID of the account to work with.
            example: F50091
      requestBody:
        description: Body
        content:
          application/json:
            schema:
              type:
                - object
              properties:
                domains:
                  type:
                    - array
                  items:
                    type:
                      - string
                    pattern: ^@?([a-zA-Z0-9]+(-[a-zA-Z0-9]+)*\.)+[a-zA-Z]{2,}$
                    example: example.com
                  maxItems: 100
                  description: Array of approved email domains.
                sessionId:
                  type:
                    - string
                mfaCode:
                  type:
                    - string
                customerIp:
                  type:
                    - string
              required:
                - domains
              example:
                domains:
                  - example.com
                sessionId: string
                mfaCode: string
                customerIp: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type:
                  - object
                properties:
                  limit:
                    description: The maximum number of results to return.
                    default: 100
                    type:
                      - integer
                    minimum: 1
                    maximum: 1000
                    example: 200
                  offset:
                    description: The number of items to skip before returning results.
                    default: 0
                    type:
                      - integer
                    example: 100
                  count:
                    type:
                      - integer
                    description: >-
                      The total amount of records matching the querying when
                      "limit" is ignored.
                    example: 67
                  rows:
                    type:
                      - array
                    items:
                      type:
                        - object
                      properties:
                        id:
                          type:
                            - string
                          format: uuid
                          description: The ID of the email domain.
                        accountId:
                          type:
                            - string
                          description: The ID of the account to work with.
                          example: F50091
                        name:
                          type:
                            - string
                          maxLength: 256
                          description: The email domain.
                          example: example.com
                        createdAt:
                          type:
                            - string
                          format: date-time
                          description: >-
                            The date the Resource was initially created. ISO
                            8601 format without milliseconds.
                        updatedAt:
                          type:
                            - string
                          format: date-time
                          description: >-
                            The date the Resource was last modified. ISO 8601
                            format without milliseconds.
                      required:
                        - id
                        - accountId
                        - name
                        - createdAt
                        - updatedAt
                required:
                  - count
                  - rows
                example:
                  limit: 200
                  offset: 100
                  count: 67
                  rows:
                    - id: 497f6eca-6276-4993-bfeb-53cbbbba6f08
                      accountId: F50091
                      name: example.com
                      createdAt: '2019-08-24T14:15:22Z'
                      updatedAt: '2019-08-24T14:15:22Z'
      security:
        - CommonAuth:
            - cis:accounts:update
components:
  securitySchemes:
    CommonAuth:
      type: apiKey
      in: header
      name: Authorization

````